Groovy 1.7.0

## org.codehaus.groovy.transform
Class LazyASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.LazyASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase= CompilePhase.CANONICALIZATION)
    class LazyASTTransformation
    extends Object

Handles generation of code for the @Lazy annotation

author:
  Alex Tkachman

Field Summary
`static ClassNode` | `SOFT_REF`

Constructor Summary
`LazyASTTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### SOFT_REF

    static final ClassNode SOFT_REF

Constructor Detail

### LazyASTTransformation

    LazyASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Copyright © 2003-2009 The Codehaus. All rights reserved.